aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2020-05-06 07:31:40 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2020-05-06 07:31:40 +0000
commitaaba28b38d8c316818a46f54e8e63df30cefb2ac (patch)
treef2bd8fac19390ece05aab45f23e44813cca983bd
parent79b91193424acb73b4aaf851fe21fde9cdca27f5 (diff)
downloadaports-aaba28b38d8c316818a46f54e8e63df30cefb2ac.tar.gz
aports-aaba28b38d8c316818a46f54e8e63df30cefb2ac.tar.bz2
aports-aaba28b38d8c316818a46f54e8e63df30cefb2ac.tar.xz
community/certbot: upgrade to 1.4.0
-rw-r--r--community/certbot/APKBUILD8
-rw-r--r--community/certbot/cerbot_py3_looseversion.patch20
2 files changed, 3 insertions, 25 deletions
diff --git a/community/certbot/APKBUILD b/community/certbot/APKBUILD
index e2fc3fe03f..df05ec7e78 100644
--- a/community/certbot/APKBUILD
+++ b/community/certbot/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Carlo Landmeter <clandmeter@gmail.com>
# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
pkgname=certbot
-pkgver=1.3.0
+pkgver=1.4.0
pkgrel=0
pkgdesc="An ACME client that can update Apache/Nginx configurations"
url="https://github.com/certbot/certbot"
@@ -25,8 +25,7 @@ depends="
"
checkdepends="py3-augeas"
replaces="letsencrypt"
-source="https://pypi.io/packages/source/c/certbot/certbot-$pkgver.tar.gz
- cerbot_py3_looseversion.patch"
+source="https://pypi.io/packages/source/c/certbot/certbot-$pkgver.tar.gz"
build() {
python3 setup.py build
@@ -40,5 +39,4 @@ package() {
python3 setup.py install --prefix=/usr --root="$pkgdir"
}
-sha512sums="6bbab5e6e44548931a48980fb580c5b8f30bbc04eccd1315e71414ad2a762251451166d9de7dd506b9f96ae71293e2b2dd78e33a799b04456f2c48225d68db0e certbot-1.3.0.tar.gz
-880c462d225567047e30c91e6f0cb57d8fff53785fb99430f1505051a6eb76252ee0aa82367d1e1ecc89030b06f82d2bac79a64f5f50f759db97d32d0e0f3fa0 cerbot_py3_looseversion.patch"
+sha512sums="e8aa3c412bec0b10d6e8f119b8f23c17db0e761c1b476503a141c734f379a4e5322a37a8d16af837e9538932423c0161ea06f66928634c2c2c7dc556423e4f42 certbot-1.4.0.tar.gz"
diff --git a/community/certbot/cerbot_py3_looseversion.patch b/community/certbot/cerbot_py3_looseversion.patch
deleted file mode 100644
index 39a742970f..0000000000
--- a/community/certbot/cerbot_py3_looseversion.patch
+++ /dev/null
@@ -1,20 +0,0 @@
-diff --git a/setup.py b/setup.py
-index c1bf914..2f4c9d4 100644
---- a/setup.py
-+++ b/setup.py
-@@ -1,5 +1,5 @@
- import codecs
--from distutils.version import StrictVersion
-+from distutils.version import LooseVersion
- import os
- import re
- import sys
-@@ -62,7 +62,7 @@
- # So this dependency is not added for old Linux distributions with old setuptools,
- # in order to allow these systems to build certbot from sources.
- pywin32_req = 'pywin32>=227' # do not forget to edit pywin32 dependency accordingly in windows-installer/construct.py
--if StrictVersion(setuptools_version) >= StrictVersion('36.2'):
-+if LooseVersion(setuptools_version) >= LooseVersion('36.2'):
- install_requires.append(pywin32_req + " ; sys_platform == 'win32'")
- elif 'bdist_wheel' in sys.argv[1:]:
- raise RuntimeError('Error, you are trying to build certbot wheels using an old version '